titantic
========

A very simple [Glacier](http://aws.amazon.com/glacier/) command line client


[![Build Status](https://travis-ci.org/nclaburn/titantic.svg?branch=master)](https://travis-ci.org/nclaburn/titantic)

Overview
---------
Titantic is meant to be a bare bones [Glacier](http://aws.amazon.com/glacier/) command line client. The main purpose of Titantic is to so it can be easily used by backup scripts in cron jobs, etc. Titantic uses [Fog](http://github.com/fog/fog) underneath for all [Glacier](http://aws.amazon.com/glacier/) communication.

Configuration
---------
Currently Titantic uses the same configuration as [Fog](http://github.com/fog/fog). Titantic searches for configuration in 3 ways. 

1. A file in the current directory named `.titantic`
2. A file in the user's home directory named `.titantic`
3. An environment variable named `TITANTIC_CONFIG` that points to a yaml file


Usage
---------
The command set for Titantic is focused on getting data to [Glacier](http://aws.amazon.com/glacier/). At the moment there is no method to retrieve archives or even vault content listings. 

<pre>
 Commands:
   titantic.rb create_vault [VAULT]                 # create a new vault
   titantic.rb delete_vault [VAULT]                 # delete a vault with the ...
   titantic.rb help [COMMAND]                       # Describe available comma...
   titantic.rb list_vaults                          # retrieve a listing of va...
   titantic.rb upload [VAULT] [BODY] [DESCRIPTION]  # upload the given archive...
</pre>


