# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'titantic/version'
require 'bundler'

Gem::Specification.new do |spec|
  spec.name          = "titantic"
  spec.version       = Titantic::VERSION
  spec.authors       = ["Nathan Claburn"]
  spec.email         = ["nathan.claburn@1st-edge.com"]
  spec.summary       = %q{A very simple AWS Glacier command line utility based on Fog.}
  spec.description   = %q{Titantic is meant to be a very simple Glacier command line utility. The primary focus is for it to be used in backup scripts and cron jobs.}
  spec.homepage      = "http://github.com/nclaburn/titantic"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency     "thor",     "~> 0.18",  ">= 0.18.0"
  spec.add_runtime_dependency     "fog",      "~> 1.20",  ">= 1.20.0"
  spec.add_runtime_dependency     "unf",      "~> 0.1",   ">= 0.1.0"

  spec.add_development_dependency "bundler",  "~> 1.5"
  spec.add_development_dependency "rake",     "~> 10.1"
  spec.add_development_dependency "minitest", "~> 5.3"

  Bundler.require(:default, :development)
end
